//
//  ZYJQNConcurrentResumeUpload.h
//  ZYJQiniuSDK
//
//  Created by WorkSpace_Sun on 2019/7/15.
//  Copyright © 2019 Qiniu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ZYJQNBaseUpload.h"
#import "ZYJQNFileDelegate.h"

@interface ZYJQNConcurrentResumeUpload : ZYJQNBaseUpload

- (instancetype)initWithFile:(id<ZYJQNFileDelegate>)file
                     withKey:(NSString *)key
                   withToken:(ZYJQNUpToken *)token
              withIdentifier:(NSString *)identifier
                withRecorder:(id<ZYJQNRecorderDelegate>)recorder
             withRecorderKey:(NSString *)recorderKey
             withSessionManager:(ZYJQNSessionManager *)sessionManager
       withCompletionHandler:(ZYJQNUpCompletionHandler)block
                  withOption:(ZYJQNUploadOption *)option
           withConfiguration:(ZYJQNConfiguration *)config;

- (void)run;

@end
