//
//  ZYJQNZone.h
//  ZYJQiniuSDK
//
//  Created by yangsen on 2020/4/16.
//  Copyright © 2020 Qiniu. All rights reserved.
//

#import "ZYJQNZoneInfo.h"
#import "ZYJQNHttpResponseInfo.h"
NS_ASSUME_NONNULL_BEGIN

@class ZYJQNUpToken, ZYJQNZonesInfo;

typedef void (^ZYJQNPrequeryReturn)(int code, ZYJQNHttpResponseInfo * _Nullable httpResponseInfo);

@interface ZYJQNZone : NSObject

- (NSString *)upHost:(ZYJQNZoneInfo *)zoneInfo
             isHttps:(BOOL)isHttps
          lastUpHost:(NSString *)lastUpHost;
/**
 *    默认上传服务器地址列表
 */
- (void)preQuery:(ZYJQNUpToken * _Nullable)token
              on:(ZYJQNPrequeryReturn)ret;

- (ZYJQNZonesInfo *)getZonesInfoWithToken:(ZYJQNUpToken * _Nullable)token;

- (NSString *)up:(ZYJQNUpToken * _Nullable)token
    zoneInfoType:(ZYJQNZoneInfoType)zoneInfoType
         isHttps:(BOOL)isHttps
    frozenDomain:(NSString * _Nullable)frozenDomain;

@end

NS_ASSUME_NONNULL_END
