//
//  ZYJQNDnspodEnterprise.h
//  ZYJHappyDNS
//
//  Created by bailong on 15/7/31.
//  Copyright (c) 2015年 Qiniu Cloud Storage. All rights reserved.
//

#import "ZYJQNResolverDelegate.h"
#import <Foundation/Foundation.h>

extern const int kZYJQN_ENCRYPT_FAILED;
extern const int kZYJQN_DECRYPT_FAILED;

@interface ZYJQNDnspodEnterprise : NSObject <ZYJQNResolverDelegate>

- (instancetype)initWithId:(NSString *)userId
                       key:(NSString *)key;

- (instancetype)initWithId:(NSString *)userId
                       key:(NSString *)key
                    server:(NSString *)server;

- (instancetype)initWithId:(NSString *)userId
                       key:(NSString *)key
                    server:(NSString *)server
                   timeout:(NSUInteger)time;

- (NSArray *)query:(ZYJQNDomain *)domain networkInfo:(ZYJQNNetworkInfo *)netInfo error:(NSError *__autoreleasing *)error;
@end
